Subject: [bug#69109] Re: [bug#69109] [PATCH] gnu: tmux: Update to 3.4.

From: Ashish <[email-masked]>
Date: Wed, 14 Feb 2024 11:16:58 +0000

Hi Skyler,

Thanks for taking time to review the patch.

On Wed, Feb 14, 2024 at 02:10:53AM +0000, Skyler Ferris wrote:
> Hi Ashish,
> 
> I'm adding some review notes to this issue. To avoid any confusion, I 
> want to be clear that I am not a committer, but I hope that these notes 
> will help a committer process this patch more quickly.
> 
> There is no cryptographic signature hosted on GitHub. My computer 
> downloaded a file from the specified location with the same hash as 
> specified in the patch.

I assumed GitHub doesn't tamper the archives, and since the archive was downloaded over HTTPS, the possibility of MITM tampering it is almost zero. I'll ofcourse keep in mind to use the upstream hashes/signatures when provided.

> I applied the patch to commit ac470c516e19f194228edf9e348bdbc7fc10f97a 
> and it applied cleanly.
> 
> I built the new version of tmux for an x86_64 machine and successfully 
> ran it from the store (my machine is technically a Xen guest, running on 
> x86_64 hardware).
> 
> I also built it with `--rounds=2` and no differences were reported.
> 
> The output of `guix refresh --list-dependent tmux` indicated that there 
> are 2 dependency leaves: `zsh-autosuggestions` and `python-daemux`. The 
> former built successfully. The latter triggered a build of 
> `python-libtmux` which built successfully. The build of `python-daemux` 
> failed, but this seems unrelated. I am seeing the same error that is 
> shown in the most recent x86_64 build: 
> http://ci.guix.gnu.org/build/2678780/log

Indeed, it looks the same to me.

-- 
Ashish | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0

"If I destroy you, what business is it of yours ?" (Dark Forest, Liu Cixin)